VFS_PERMISSION(9)

NAME
vfs_permission - check for access rights to a given path

SYNOPSIS

int vfs_permission (struct nameidata * nd, int mask);

ARGUMENTS

nd  lookup result that describes the path

mask
    right to check for (MAY_READ, MAY_WRITE, MAY_EXEC)

DESCRIPTION

Used to check for read/write/execute permissions on a path. We use ``fsuid'' for this, letting us set arbitrary permissions for filesystem access without changing the ``normal'' uids which are used for other things.